#version 330

uniform sampler2D uDiffuseMap;

in vec3 fCubeCoord;

out vec4 fragColor; // first out variable is automatically written to the screen

void main()
{	
	// Strange non/cube projection if  add 1.0f - coordinate
	
	vec3 up = vec3(0, 1, 0);
	float toZenith = dot(fCubeCoord, up);
	
	float tX = max(0, toZenith);
	vec2 texCoord = vec2(tX, 0.5f);
	vec4 texColor = texture(uDiffuseMap, texCoord);
	
	fragColor = texColor; 
}
